=== debian/changelog ===
maria (1.3.5-6) unstable; urgency=medium

  * Team upload.
  
  [ Andreas Tille ]
  * Point Vcs fields to Salsa
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * rename debian/NEWS.Debian debian/NEWS (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove constraints unnecessary since bullseye (oldstable):
    + Build-Depends: Replace dependency on transitional package libncurses5-dev
      with replacement libtinfo6, libncurses-dev.
  * watch file standard 4 (routine-update)
  * Build with dh-elpa
  * Lintian-overrides for natinal encoding
  * Propagate hardening options

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    Closes: #962547

 -- Andreas Tille <tille@debian.org>  Tue, 05 Nov 2024 08:21:26 +0100

maria (1.3.5-5) unstable; urgency=medium

  * debian/rules: rewrite from scratch, using dh

 -- Ralf Treinen <treinen@debian.org>  Thu, 27 Oct 2016 21:52:06 +0200

maria (1.3.5-4) unstable; urgency=low

  * debian/control:
    - set section to science
    - set priority to extra
    - set maintainer to debian-science
    - add Vcs-Git/Browse fields
  * Simplify invocations to debhelpers in debian/rules
  * patch utf8: migrate NEWS file to utf8

 -- Ralf Treinen <treinen@debian.org>  Fri, 13 May 2011 21:59:53 +0200

maria (1.3.5-3) unstable; urgency=low

  * Patch gcc4.6: add missing #includes to fix FTBFS with gcc4.6
    (closes: #624926).
  * Standards-Version 3.9.2 (no change)

 -- Ralf Treinen <treinen@debian.org>  Tue, 03 May 2011 07:13:20 +0200

maria (1.3.5-2) unstable; urgency=low

  * debhelper compatibility level 7.
  * Standards-Version 3.8.3 (no change)
  * Convert to source format 3.0 (quilt):
    - debian/patches in quilt style
    - no more patching in debian/rules
    - no more build-dependency on dpatch
    - added debian/source/format
    - remove debian/README.source
  * debian/control:
   - add dependency on ${misc:Depends}
   - change dependency on libreadline5-dev to libreadline-dev (closes: #553809)
   - remove obsolete build-dependency on xutils
   - add Homepage field
  * debian/copyright:
    - converted to UTF-8
    - point to GPL-2 file instead of GPL file
  * debian/maria-doc.doc-base:
    - section Science/Mathematics
    - fieldname "authors" corrected to "author"
    - converted to UTF-8
  * debian/rules:
    - "dh_clean -k" => "dh_prep"
    - "make reallyclean" => "make clean" since the former seems to be
      the cause of segfaults, explicitly remove maria and doc/maria.info
      (closes:  Bug#544575).
    - do not ignore errors of "make clean"
    - fix clean target to remove generate html files in doc
  * Changed recommendation of infobrowser to info (package maria-doc)

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Nov 2009 13:02:15 +0100

maria (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Desactivated patch 03gcc40, seems to be fixed by upstream.
  * Install upstream NEWS file as /usr/share/doc/*/changelog.

 -- Ralf Treinen <treinen@debian.org>  Mon,  8 Aug 2005 12:32:36 +0200

maria (1.3.4-7) unstable; urgency=low

  * Compile with "-O3" instead of "-O2" on m68k to work around a FTBFS
    caused by a gcc-4.0 bug.
  * texi2html now produces *html files in subdirectory "maria/"

 -- Ralf Treinen <treinen@debian.org>  Fri,  5 Aug 2005 12:38:59 +0200

maria (1.3.4-6) unstable; urgency=low

  * Standards Version 3.6.2 (no changes).
  * Some minor improvements in README.examples.
  * Rebuild with gcc 4.

 -- Ralf Treinen <treinen@debian.org>  Wed,  6 Jul 2005 20:44:25 +0200

maria (1.3.4-5) unstable; urgency=low

  * The binary package maria-vis is no longer build since graphviz is
    now in main. The package maria now replaces and conflicts with
    maria-vis. (closes: Bug#292595).
  * debian/copyright: distinguish copyright and licence.
  * Removed the lintian override concerning unusual interpreter lefty -
    this is now a lintian bug.
  * Wrote README.examples, put it in /usr/share/doc/maria/examples
  * Removed spurious $(CURDIR) in debian/rules

 -- Ralf Treinen <treinen@debian.org>  Sun, 13 Feb 2005 17:17:51 +0100

maria (1.3.4-4) unstable; urgency=low

  * Use dpatch. Dpatchify old patches:
    - 01lefty_path: fix path of lefty interpreter
    - 02compile_options: fix compile flags
  * Patch 03gcc40: Fix compilation error for gcc4.0 on amd64. Patch
    contributed by Andreas Jochens - thanks! (closes: Bug#288926)
  * Short descriptions start on a lowercase letter.
  * Removed useless ${misc:Depends} from maria's Dependency.
  * Removed debian/TODO.

 -- Ralf Treinen <treinen@debian.org>  Thu,  6 Jan 2005 20:48:05 +0100

maria (1.3.4-3) unstable; urgency=low

  * Switch from libreadline4 to libreadline5.

 -- Ralf Treinen <treinen@debian.org>  Sat,  1 Jan 2005 18:19:33 +0100

maria (1.3.4-2) unstable; urgency=low

  * Converted this changelog file to UTF-8
  * Package maria-doc: added Recommends infobrowser
  * Standards-version 3.6.1 (no change)
  * Added a debian/watch file
  * Added a lintian override for maria-vis concering the use of lefty as
    an interpreter

 -- Ralf Treinen <treinen@debian.org>  Wed,  4 Aug 2004 09:54:50 +0200

maria (1.3.4-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.6.0
  * Use a file debian/compat instead of variable DH_COMPAT in debian/rules
  * Installation of info files: don't attempt to install  maria.info-*

 -- Ralf Treinen <treinen@debian.org>  Mon,  4 Aug 2003 23:01:40 +0200

maria (1.3.3-1) unstable; urgency=low

  * New upstream release. This release should compile on gcc 3.0 (closes:
    Bug#171226).

 -- Ralf Treinen <treinen@debian.org>  Mon,  9 Dec 2002 21:48:45 +0100

maria (1.3.2-1) unstable; urgency=low

  * New upstream release.
  * Applied a patch to maria.texinfo sent by Marko Mäkelä.

