=== debian/control ===
Source: maria
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               libreadline-dev,
               libtinfo6,
               libncurses-dev,
               flex,
               bison
Build-Depends-Indep: texinfo,
                     texi2html
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/science-team/maria
Vcs-Git: https://salsa.debian.org/science-team/maria.git
Homepage: http://www.tcs.hut.fi/Software/maria/
Rules-Requires-Root: no

Package: maria
Architecture: any
Section: math
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: maria-doc,
            lbt,
            graphviz
Conflicts: maria-vis
Replaces: maria-vis
Description: reachability analyzer for Algebraic System Nets
 Maria is a powerful tool designed to aid engineers in modelling and
 solving concurrency related problems in parallel and distributed
 computing systems.
 .
 Maria finds deadlocks and violations against safety or liveness
 requirements by exploring all states that can be reached from the
 initial state of a system.  The tool manages tens or hundreds of
 millions of reachable states and enabled actions.
 .
 The expressive power of Maria's formalism is close to high-level
 programming languages, thanks to its rich data type system and
 powerful algebraic operations.

Package: maria-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Recommends: maria,
            info | info-browser | www-browser
Description: documentation of Maria
 This package contains the documentation of Maria, a reachability
 analyzer for algebraic system nets, both in the formats info and html.
