=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with elpa

override_dh_auto_configure:

override_dh_auto_build-arch:
	dh_auto_build -a --buildsystem=makefile -- -f Makefile.Linux CXXOPTFLAGS=$(OPTFLAGS)

override_dh_auto_build-indep:
	cd doc \
		&& makeinfo maria.texinfo \
		&& texi2html -split chapter maria.texinfo

override_dh_auto_install-indep:
	echo "Do not trigger make again"
