=== debian/watch ===
version=4
http://www.tcs.hut.fi/Software/maria/src/maria-([\d.]*)\.tar\.gz
